Subject: Re: [PATCH linux v3 net-next 4/4] bonding: add netlink support for sys prio, actor sys mac, and port key

From: Nikolay Aleksandrov <[email-masked]>
Date: Sun, 10 May 2015 09:54:15 +0200

On 09/05/15 09:01, Jonathan Toppins wrote:
> From: Andy Gospodarek <[email-masked]>
>
> Adds netlink support for the following bonding options:
> * BOND_OPT_AD_ACTOR_SYS_PRIO
> * BOND_OPT_AD_ACTOR_SYSTEM
> * BOND_OPT_AD_USER_PORT_KEY
>
> When setting the actor system mac address we assume the netlink message
> contains a binary mac and not a string representation of a mac.
>
> Signed-off-by: Andy Gospodarek <[email-masked]>
> [jt: completed the setting side of the netlink attributes]
> Signed-off-by: Jonathan Toppins <[email-masked]>
> ---
>  v2:
>     * rebased
>  v3:
>     * removed parenthesis from around values in the netdev_info calls in
>       bond_option_ad_actor_sys_prio_set() and
>       bond_option_ad_user_port_key_set()
>     * fixed up bond_option_ad_actor_system_set() to support handling both
>       string and value setting as Nik suggested
>
>  drivers/net/bonding/bond_netlink.c |   50 ++++++++++++++++++++++++++++++++++++
>  drivers/net/bonding/bond_options.c |   30 +++++++++++++++-------
>  include/uapi/linux/if_link.h       |    3 +++
>  3 files changed, 74 insertions(+), 9 deletions(-)
>
>

Thank you for re-working this, it actually looks better than I thought it
would. I'm traveling right now and can't test it, but I went over the patch
and it looks good to me.

Signed-off-by: Nikolay Aleksandrov <[email-masked]>